Package org.apache.sysds.runtime.io

## Class FrameReaderTextCellParallel.ReadTask

- java.lang.Object
- - org.apache.sysds.runtime.io.FrameReaderTextCellParallel.ReadTask

All Implemented Interfaces:
  `Callable<Object>`

Enclosing class:
  FrameReaderTextCellParallel

    public class FrameReaderTextCellParallel.ReadTask
    extends Object
    implements Callable<Object>

### Constructor Summary

Constructors
`ReadTask​(org.apache.hadoop.mapred.InputSplit split, org.apache.hadoop.mapred.TextInputFormat informat, org.apache.hadoop.mapred.JobConf job, FrameBlock dest)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `call()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ReadTask

    public ReadTask​(org.apache.hadoop.mapred.InputSplit split,
                    org.apache.hadoop.mapred.TextInputFormat informat,
                    org.apache.hadoop.mapred.JobConf job,
                    FrameBlock dest)

### Method Detail

#### call

    public Object call()
                throws Exception

Specified by:
  `call` in interface `Callable<Object>`
Throws:
  `Exception`